package AdThreeAnalysis;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

import StructuralClass.MarkLabel;
import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class ONAAdPoster extends JceStruct {
    static AdCorner cache_corner = new AdCorner();
    static HashMap<String, String> cache_extraParam = new HashMap();
    static ArrayList<MarkLabel> cache_markLabelList = new ArrayList();
    static HashMap<String, AdReport> cache_report = new HashMap();
    static AdShareItem cache_shareItem = new AdShareItem();
    public String adId = "";
    public AdCorner corner = null;
    public String downloadUrl = "";
    public HashMap<String, String> extraParam = null;
    public String imageUrl = "";
    public ArrayList<MarkLabel> markLabelList = null;
    public int picType = 0;
    public HashMap<String, AdReport> report = null;
    public AdShareItem shareItem = null;
    public String subtitle = "";
    public String title = "";
    public int type = 0;
    public int uiStyle = 0;

    public ONAAdPoster() {
        super();
        this.adId = "";
        this.title = "";
        this.subtitle = "";
        this.corner = null;
        this.markLabelList = null;
        this.imageUrl = "";
        this.report = null;
        this.type = 0;
        this.picType = 0;
        this.downloadUrl = "";
        this.shareItem = null;
        this.uiStyle = 0;
        this.extraParam = null;
    }

    public ONAAdPoster(String str, String str2, String str3, AdCorner adCorner, ArrayList<MarkLabel> arrayList, String str4, HashMap<String, AdReport> map, int i, int i2, String str5, AdShareItem adShareItem, int i3, HashMap<String, String> map2) {
        this.adId = str;
        this.title = str2;
        this.subtitle = str3;
        this.corner = adCorner;
        this.markLabelList = arrayList;
        this.imageUrl = str4;
        this.report = map;
        this.type = i;
        this.picType = i2;
        this.downloadUrl = str5;
        this.shareItem = adShareItem;
        this.uiStyle = i3;
        this.extraParam = map2;
    }

    public final void writeTo(d dVar) {
        if (this.adId != null) {
            dVar.a(this.adId, 0);
        }
        if (this.title != null) {
            dVar.a(this.title, 1);
        }
        if (this.subtitle != null) {
            dVar.a(this.subtitle, 2);
        }
        if (this.corner != null) {
            dVar.a(this.corner, 3);
        }
        if (this.markLabelList != null) {
            dVar.a(this.markLabelList, 4);
        }
        if (this.imageUrl != null) {
            dVar.a(this.imageUrl, 5);
        }
        if (this.report != null) {
            dVar.a(this.report, 6);
        }
        dVar.a(this.type, 7);
        dVar.a(this.picType, 8);
        if (this.downloadUrl != null) {
            dVar.a(this.downloadUrl, 9);
        }
        if (this.shareItem != null) {
            dVar.a(this.shareItem, 10);
        }
        dVar.a(this.uiStyle, 11);
        if (this.extraParam != null) {
            dVar.a(this.extraParam, 12);
        }
    }

    static {
        cache_markLabelList.add(new MarkLabel());
        AdReport adReport = new AdReport();
        cache_report.put("", adReport);
        cache_extraParam.put("", "");
    }

    public final void readFrom(c cVar) {
        this.adId = cVar.b(0, false);
        this.title = cVar.b(1, false);
        this.subtitle = cVar.b(2, false);
        this.corner = (AdCorner) cVar.a(cache_corner, 3, false);
        this.markLabelList = (ArrayList) cVar.a(cache_markLabelList, 4, false);
        this.imageUrl = cVar.b(5, false);
        this.report = (HashMap<String, AdReport>) cVar.a(cache_report, 6, false);
        this.type = cVar.a(this.type, 7, false);
        this.picType = cVar.a(this.picType, 8, false);
        this.downloadUrl = cVar.b(9, false);
        this.shareItem = (AdShareItem) cVar.a(cache_shareItem, 10, false);
        this.uiStyle = cVar.a(this.uiStyle, 11, false);
        this.extraParam = (HashMap<String, String>) cVar.a(cache_extraParam, 12, false);
    }


}

